[Scilab-users] ATOMS error Scilab 5.5.2

classic Classic list List threaded Threaded
11 messages Options
DrVS DrVS
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] ATOMS error Scilab 5.5.2

Hi everyone,

I try to install modules with Atoms, but i have the folowing error :
"No ATOMS module is available. Please, check your Internet connection or
make sure that your OS is compatible with ATOMS."

I've check and try everything that i've found in the forum (proxy, offline,
delete temp files etc), but nothing work.
When i try with scilab 6.0.1, it works well and directly. But i need the
SIMM module which are not on 6.0.1.

*Maybe there is a problem with the servor or Atoms is down ?*

When i try to connect to add : https://atoms.scilab.org/5.5/
I have this message :
/-->atomsRepositoryAdd("http://atoms.scilab.org/5.5")
 !--error 999
mopen: Cannot open file C:\PROGRA~2\scilab-5.5.2\.atoms\packages.
at line       3 of function listvarFunction called by :  
at line      29 of function listvarinfile called by :  
at line     949 of function %_sodload called by :  
at line      94 of function atomsDESCRIPTIONget called by :  
at line     142 of function atomsRepositoryAdd called by :  
atomsRepositoryAdd("http://atoms.scilab.org/5.5")/

I hope someone can help me or inform me.

Thank you a lot for your help.

--
Vincent



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
DrVS DrVS
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Hi.

I have still the same problem.

"No ATOMS module is available. Please, check your Internet connection or
make sure that your OS is compatible with ATOMS."

Maybe there is someone in the community who can try to use ATOMS on scilab
5.5.2 ?
I need to know if it's a temporary problem (for everyone) or if it's a
problem on my computer.

Thank you for your help !



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Samuel GOUGEON Samuel GOUGEON
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Hello,

It's a problem for everyone (not only for you), already reported here and a bit earlier.
To bypass the Server issue, you may do the following:
  • download by hand the zipped binary file of your choice
  • then use the local installation syntax: atomsInstall(zipfile)

Regards
Samuel

PS@ESI: IMO leaving this situation will less invite users to upgrade to 6.0 than to quit Scilab for other solutions: When external modules are not available for Scilab 6.0 (and 75% of them are still so), using Scilab 6.0 is useless.

Le 22/08/2018 à 12:57, DrVS a écrit :
Hi.

I have still the same problem.

"No ATOMS module is available. Please, check your Internet connection or 
make sure that your OS is compatible with ATOMS." 

Maybe there is someone in the community who can try to use ATOMS on scilab
5.5.2 ?
I need to know if it's a temporary problem (for everyone) or if it's a
problem on my computer.

Thank you for your help !



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users



_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Samuel GOUGEON Samuel GOUGEON
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Le 22/08/2018 à 18:46, Samuel Gougeon a écrit :
Hello,

It's a problem for everyone (not only for you), already reported here and a bit earlier.
To bypass the Server issue, you may do the following:
  • download by hand the zipped binary file of your choice
I meant: browsing from https://atoms.scilab.org


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
DrVS DrVS
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Hello Samuel,

Thank you for your answer.

I've already try to install manually, but without
success.

I have this kind of message (error 10000) :
/-->atomsInstall("C:\Users\vince\Downloads\coselica-0.6.6.zip")
!--error 10000
atomsDESCRIPTIONread: The file
"C:\PROGRA~2\scilab-5.5.2\.atoms\tmp_1535021295\coselica-0.6.6\DESCRIPTION"
does not exist.
at line 46 of function atomsDESCRIPTIONread called by :
at line 160 of function atomsInstall called by :
atomsInstall("C:\Users\vince\Downloads\coselica-0.6.6.zip")/

I have also this kind of message for an other module :
/!--error 10000 atomsDESCRIPTIONread: The file
"C:\Users\vince\AppData\Local\Temp\SCI_TMP_19856_\.atoms\1_TOOLBOXES" is
empty./

So, i don't know what to do...






--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Samuel GOUGEON Samuel GOUGEON
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Le 23/08/2018 à 12:53, DrVS a écrit :
Hello Samuel,

Thank you for your answer.

I've already try to install manually, but without 
success.

I have this kind of message (error 10000) :
/-->atomsInstall("C:\Users\vince\Downloads\coselica-0.6.6.zip") 

You have downloaded the sources archive instead of the binary.
The binary in named "coselica_0.6.6.zip" (with an undercore instead of an hyphen:
OK, this naming is really misleading)

Samuel


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Samuel GOUGEON Samuel GOUGEON
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

In reply to this post by DrVS
Le 23/08/2018 à 12:53, DrVS a écrit :
> Hello Samuel,
>
> Thank you for your answer.
>
> I've already try to install manually, but without
> success.
>
> I have this kind of message (error 10000) :
> /-->atomsInstall("C:\Users\vince\Downloads\coselica-0.6.6.zip")
By the way, this is a file for Scilab 6, while your problem was to
install something for Scilab 5.5.2.
So please target the right version and file!

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
DrVS DrVS
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Hello Samuel,

Thank you for your answer.

After your suggestion, i've try again (with lot of hope) with the right
version and file.
For example, this one : https://atoms.scilab.org/toolboxes/CPGE/1.6.1

But, i still have an error 1000...

/-->atomsInstall("C:\Users\vince\Downloads\CPGE_1.6.1_5.5-1.bin.zip")
Scanning repository http://atoms.scilab.org/5.5 ... Done

 !--error 10000
atomsDESCRIPTIONread: The file
"C:\Users\vince\AppData\Local\Temp\SCI_TMP_16512_\.atoms\1_TOOLBOXES" is
empty.
at line      56 of function atomsDESCRIPTIONread called by :  
at line     227 of function atomsDESCRIPTIONget called by :  
at line     227 of function atomsInstall called by :  
atomsInstall("C:\Users\vince\Downloads\CPGE_1.6.1_5.5-1.bin.zip")/

I've tried with other module like SIMM or Coselica, but also without
success.

Maybe there is something to do with "temp" file ?

Thank you for your help !

--
VS



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Samuel GOUGEON Samuel GOUGEON
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Le 27/08/2018 à 18:47, DrVS a écrit :
Hello Samuel,

Thank you for your answer.

After your suggestion, i've try again (with lot of hope) with the right
version and file.
For example, this one : https://atoms.scilab.org/toolboxes/CPGE/1.6.1

But, i still have an error 1000...

/-->atomsInstall("C:\Users\vince\Downloads\CPGE_1.6.1_5.5-1.bin.zip")
Scanning repository http://atoms.scilab.org/5.5 ... Done

OK, i am also very surprised by this behavior. It is due to the fact that ATOMS must be set in offline mode first. To me, this should be the default mode when a file is provided. But when actually trying
with CPGE, i understand why it is not the case.

Let's do it with Coselica. It is simpler, because it has no dependency.
To set ATOMS in offline mode we do:

--> atomsSetConfig offline True

Then we download the right Coselica zipped binary file, and we install it:
--> atomsInstall coselica_0.6.4-0.bin.zip

I have tried it: It fails !! The ATOMS client tries to download something on the web, in an infinite loop!
When trying, it  comes that this module is badly packaged. Noticeably, it has no loader.sce file!
So, even if its installation was easy, it could not be loaded.
So, the last old solution is the following:
  • Uncompress yourself coselica_0.6.4-0.bin.zip
  • Put the coselica_0.6.4 directory in the SCI/contrib one.
  • In the coselica_0.6.4, add a file loader.sce with the following content:
    // This file is released under the 3-clause BSD license. See COPYING-BSD.
    // Generated by builder.sce: Please, do not edit this file

    try
     getversion("scilab");
    catch
     error("Scilab 5.0 or more is required.");
    end;

    exec(get_absolute_file_path("loader.sce")+"etc/"+"coselica.start");

  • exit Scilab and restart a Scilab 5.5.2 session
  • Then, you will see "Coselica_6.0.4" in the Console's Toolboxes menu. Selects it
  • This loads Coselica. At last! Unfortunately,
  • The package does not load properly : an error occurs while loading:
     !--error 10000
    xcosPalAddBlock: Wrong type for input argument "block": function as string or Block type or full path string expected.
So, i guess that the 36329 downloads of this version were 36329 failures...
To me, not providing a loader.sce means that this package must NOT be used...
The 0.6.6 version looks well-packaged, for Scilab 6. At least, it has a loader.

----------
 
For CPGE: This module depends on the "iodelay" module (this is indicated in its online description).
This means that you must install iodelay first. Otherwise, ATOMS with see that you don't have it, and will try to find it online, even in offline mode. Finally, it display an error message in the console about the fact that iodelay is missing.
This is also the ATOMS client behavior in Scilab 6.0. In my opinion, it is not correct: A warning message should be displayed in the console, and the installation stopped, without error. offline means offline.

So, try it: install iodelay. And then instal CPGE, and try to load it. It should be OK. It has a right loader.sce, that calls it .start file.

HTH
Samuel


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Samuel GOUGEON Samuel GOUGEON
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

Le 27/08/2018 à 20:20, Samuel Gougeon a écrit :
../...
----------
 
For CPGE: This module depends on the "iodelay" module (this is indicated in its online description).
This means that you must install iodelay first. Otherwise, ATOMS with see that you don't have it, and will try to find it online, even in offline mode. Finally, it display an error message in the console about the fact that iodelay is missing.
This is also the ATOMS client behavior in Scilab 6.0. In my opinion, it is not correct: A warning message should be displayed in the console, and the installation stopped, without error. offline means offline.

So, try it: install iodelay. And then instal CPGE, and try to load it. It should be OK. It has a right loader.sce, that calls it .start file.

A way to do it more easily is to put the iodelay AND the CPGE zip files together in SCI/contrib/archives.
Then, do as usual, in offline mode
--> atomsInstall CPGE

and hope that atoms won't try to get anything online...
When requiring iodelay, it should automatically probe the archives directory to find its zip file.

If you don't have any administration rights to write in the SCI directory, you might put zips in the SCIHOME/contrib/archives directory instead (unchecked).


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
DrVS DrVS
Reply | Threaded
Open this post in threaded view
|

Re: ATOMS error Scilab 5.5.2

In reply to this post by Samuel GOUGEON
Samuel, thank you a lot for all your investigation.

I've succeed to install all the modules that I wanted. *And everything works
well.* Yes !

It was more easy that i expected :
i dind't have to create a loader file or uncompressed some file.

I've just have to put in offline mode as you say and i also launch Scilab
with "administrator mode".

So, i've succeed to instal (in order) :
iodelay
coselica
SIMM
CPGE

Thank you again for all your help.

--
VS



--
Sent from: http://mailinglists.scilab.org/Scilab-users-Mailing-Lists-Archives-f2602246.html
_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users